Mac OS X pppd Plugin Loading Privilege Escalation Exploit

The PPP daemon (pppd) in Apple Mac OS X 10.4.8 checks ownership of the stdin file descriptor to determine if the invoker has sufficient privileges, which allows local users to load arbitrary plugins and gain root privileges by bypassing this check.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2007-0752
Product Version: 
7.5
Released Date: 
Monday, July 21, 2008 - 00:00